Skip to main content
POST
/
workflows
/
v1
/
global-variables
Create Global Variable Endpoint
curl --request POST \
  --url https://api-qa.interactly.ai/workflows/v1/global-variables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "value": "",
  "description": "<string>",
  "category": "<string>",
  "is_secret": false
}
'
{
  "variable": {
    "name": "<string>",
    "team_id": "<string>",
    "created_by": "<string>",
    "updated_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "_id": "5eb7cf5a86d9755df3a6c593",
    "value": "",
    "description": "<string>",
    "category": "<string>",
    "is_secret": false
  }
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Body

application/json
name
string
required
Required string length: 1 - 256
value
string
default:""
description
string | null
Maximum string length: 1024
category
string | null
Maximum string length: 128
is_secret
boolean
default:false

Response

Successful Response

variable
GlobalVariablesModel · object
required

Stores organization/team-level global variables that are automatically injected into every workflow execution for that team.